<?php

namespace Drupal\commerce_stripe_payment_request_button\Element;

use Drupal\Core\Render\Markup;

/**
 * @RenderElement("stripe_request_button")
 */
class StripeRequestButton extends StripeRequestButtonBase {

  /**
   * {@inheritdoc}
   */
  public function getInfo() {
    $class = get_class($this);
    return [
      '#html_id' => 'StripeRequestButton',
      '#title' => t('Stripe request button makes shopping on our website even easier by using the payment information in your Apple pay, Google pay or Microsoft pay account'),
      '#order_id' => NULL,
      '#pre_render' => [
        [$class, 'preRender'],
        [$class, 'attachLibrary'],
      ],
    ];
  }

  public static function preRender($element) {
    if (empty($element['#order_id'])) {
      return $element;
    }

    $setup_button = '<div id="payment-request-button" style="display: none"></div>';
    $unavailable_button = '<aside id="payment-request-button-unavailable" class="important alternate amber" style="display: none">
        <p>
          <strong>Either your browser does not support Apple, Google, or Microsoft Pay, or you do not have a saved payment method.</strong> To try out the
          Payment Request Button, switch to <a href="https://stripe.com/docs/stripe-js/elements/payment-request-button#testing">one of the
          supported browsers below</a>, and make sure you have a saved payment
          method.
        </p>
      </aside>';



    $element['#markup'] = Markup::create('<div id="stripe-payment-request-setup-wrapper">' . $setup_button . $unavailable_button . '</div>');
    return $element;
  }

}
