<?php

namespace Drupal\commerce_stripe_payment_request_button\PluginForm;

use Drupal\commerce_payment\PluginForm\PaymentMethodAddForm as BasePaymentMethodAddForm;
use Drupal\Core\Form\FormStateInterface;

class PaymentMethodAddForm extends BasePaymentMethodAddForm {


  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);

    /** @var \Drupal\commerce_payment\Entity\PaymentInterface $payment */
    $payment = $this->entity;
    $order = $payment->getOrder();
    $amount = $payment->getAmount();

    $form['#attached']['library'][] = 'commerce_stripe_payment_request/stripe';

    $plugin = $this->plugin;
    $element['#attached']['drupalSettings']['stripePaymentRequest'] = [
      'publishableKey' => $plugin->getPublishableKey(),
    ];

    // Outputs Text to configure Stripe Payment Request and Set up Stripe
    // Payment Request Pay button.
    $setup_button = '<div id="stripe-payment-request-button" style="display: none"></div>';
    $unavailable_button = '<aside id="stripe-payment-request-unavailable" class="important alternate amber" style="display: none">
        <p>
          <strong>Either your browser does not support Apple, Google, or Microsoft Pay, or you do not have a saved payment method.</strong> To try out the
          Payment Request Button, switch to <a href="https://stripe.com/docs/stripe-js/elements/payment-request-button#testing">one of the
          supported browsers below</a>, and make sure you have a saved payment
          method.
        </p>
      </aside>';

   // $form['buttons']['continue']['#suffix'] .= '<div class="stripe-payment-request-setup-wrapper" style="display: none">' . $setup_button . $unavailable_button . '</div>';

    $form['stripe_payment_request'] = [
      '#markup' => Markup::create('<div class="stripe-payment-request-setup-wrapper" style="display: none">' . $setup_button . $unavailable_button . '</div>'),
    ];


    return $form;
  }

}
